Package anbxj

# Class Crypto_ByteArray

java.lang.Object
anbxj.Crypto_ByteArray

All Implemented Interfaces:
  `Serializable`

public class Crypto_ByteArray extends Object implements Serializable
Byte Array: a custom implementation of a byte array, used to store the result of various cryptographic functions

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_ByteArray(byte[] digest)`
  Constructs a Crypto_ByteArray with the given byte array.
  `Crypto_ByteArray(byte[] digest, String comment)`
  Constructs a Crypto_ByteArray with the given byte array and comment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `byte[]`
  `getByteArray()`
  Gets the byte array.
  `int`
  `getLength()`
  Gets the length of the byte array.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Crypto_ByteArray

    public Crypto_ByteArray(byte[] digest)
    Constructs a Crypto_ByteArray with the given byte array.
    Parameters:
      `digest` - the byte array

  - ### Crypto_ByteArray

    public Crypto_ByteArray(byte[] digest, String comment)
    Constructs a Crypto_ByteArray with the given byte array and comment.
    Parameters:
      `digest` - the byte array
      `comment` - a comment (unused in the current implementation)

- ## Method Details

  - ### getByteArray

    public byte[] getByteArray()
    Gets the byte array.
    Returns:
      the byte array

  - ### getLength

    public int getLength()
    Gets the length of the byte array.
    Returns:
      the length of the byte array

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`